Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.jaxb.pom.generated
Class DistributionManagement

    java.lang.Object
      org.owasp.dependencycheck.jaxb.pom.generated.DistributionManagement

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public class DistributionManagement

extends Object

This elements describes all that pertains to distribution for a project. It is primarily used for deployment of artifacts and the site produced by the build.

Java class for DistributionManagement complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DistributionManagement">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <all>
             <element name="repository" type="{http://maven.apache.org/POM/4.0.0}DeploymentRepository" minOccurs="0"/>
             <element name="snapshotRepository" type="{http://maven.apache.org/POM/4.0.0}DeploymentRepository" minOccurs="0"/>
             <element name="site" type="{http://maven.apache.org/POM/4.0.0}Site" minOccurs="0"/>
             <element name="downloadUrl" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="relocation" type="{http://maven.apache.org/POM/4.0.0}Relocation" minOccurs="0"/>
             <element name="status" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </all>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `downloadUrl`
`protected Relocation` | `relocation`
`protected DeploymentRepository` | `repository`
`protected Site` | `site`
`protected DeploymentRepository` | `snapshotRepository`
`protected String` | `status`

Constructor Summary
`DistributionManagement()`

Method Summary
`String` | `getDownloadUrl()` Gets the value of the downloadUrl property.
`Relocation` | `getRelocation()` Gets the value of the relocation property.
`DeploymentRepository` | `getRepository()` Gets the value of the repository property.
`Site` | `getSite()` Gets the value of the site property.
`DeploymentRepository` | `getSnapshotRepository()` Gets the value of the snapshotRepository property.
`String` | `getStatus()` Gets the value of the status property.
`void` | `setDownloadUrl(String value)` Sets the value of the downloadUrl property.
`void` | `setRelocation(Relocation value)` Sets the value of the relocation property.
`void` | `setRepository(DeploymentRepository value)` Sets the value of the repository property.
`void` | `setSite(Site value)` Sets the value of the site property.
`void` | `setSnapshotRepository(DeploymentRepository value)` Sets the value of the snapshotRepository property.
`void` | `setStatus(String value)` Sets the value of the status property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### repository

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected DeploymentRepository repository

### snapshotRepository

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected DeploymentRepository snapshotRepository

### site

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Site site

### downloadUrl

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String downloadUrl

### relocation

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Relocation relocation

### status

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String status

Constructor Detail

### DistributionManagement

    public DistributionManagement()

Method Detail

### getRepository

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public DeploymentRepository getRepository()

  Gets the value of the repository property.

  Returns:
    possible object is `DeploymentRepository`

### setRepository

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setRepository(DeploymentRepository value)

  Sets the value of the repository property.

  Parameters:
    `value` - allowed object is `DeploymentRepository`

### getSnapshotRepository

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public DeploymentRepository getSnapshotRepository()

  Gets the value of the snapshotRepository property.

  Returns:
    possible object is `DeploymentRepository`

### setSnapshotRepository

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setSnapshotRepository(DeploymentRepository value)

  Sets the value of the snapshotRepository property.

  Parameters:
    `value` - allowed object is `DeploymentRepository`

### getSite

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Site getSite()

  Gets the value of the site property.

  Returns:
    possible object is `Site`

### setSite

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setSite(Site value)

  Sets the value of the site property.

  Parameters:
    `value` - allowed object is `Site`

### getDownloadUrl

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getDownloadUrl()

  Gets the value of the downloadUrl property.

  Returns:
    possible object is `String`

### setDownloadUrl

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setDownloadUrl(String value)

  Sets the value of the downloadUrl property.

  Parameters:
    `value` - allowed object is `String`

### getRelocation

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Relocation getRelocation()

  Gets the value of the relocation property.

  Returns:
    possible object is `Relocation`

### setRelocation

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setRelocation(Relocation value)

  Sets the value of the relocation property.

  Parameters:
    `value` - allowed object is `Relocation`

### getStatus

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getStatus()

  Gets the value of the status property.

  Returns:
    possible object is `String`

### setStatus

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setStatus(String value)

  Sets the value of the status property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.